Summary:        A selection of general-utility scalar and list subroutines
Name:           perl-Scalar-List-Utils
Version:        1.63
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Scalar-List-Utils
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Scalar-List-Utils-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  findutils
BuildRequires:  perl-interpreter perl-devel perl-generators perl(Config) perl(File::Spec)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(Exporter) perl(XSLoader)
BuildRequires:  perl(B::Deparse) perl(base) perl(constant) perl(IO::File) perl(IO::Handle)
BuildRequires:  perl(List::Util) perl(Math::BigInt) perl(overload) perl(Symbol)
BuildRequires:  perl(Sub::Util) perl(Test::More) perl(threads) perl(threads::shared)
BuildRequires:  perl(Tie::Handle) perl(Tie::Scalar) perl(Tie::StdScalar) perl(vars)
Requires:       perl(Carp)

%description
This package provides a selection of subroutines that people say would be nice to have 
in the perl core. But its usage is not high enough to be a keyword, and its size is not 
large enough to be a standalone extension.

%prep
%autosetup -n Scalar-List-Utils-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/List*
%{perl_vendorarch}/Scalar*
%{perl_vendorarch}/Sub*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.63-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.63-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.63-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.63-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.63-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.63-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.63-1
- package init.
